---
layout: post
title: "Farewell, Atom. Hello Pulsar!"
description: "The awesome community behind the Atom text editor has stepped up and given us a replacement: Pulsar"
tags: pulsar text-editors programming foss
---

About a year ago on June 8th of 2022, GitHub announced that it set an end-of-life of December 15th, 2022 for the Atom text editor. What was once a super popular text editor in the mid-2010s that has since fallen behind the times a bit, is now a relic of the past to later be forgotten. This wasn't too surprising of a move, considering Microsoft purchased GitHub and they already had their own text editor in Visual Studio Code that was stealing Atom's thunder. Honestly it took Microsoft a LOT longer to make this move than I expected, but either way it kinda sucked seeing such a monumental piece of software (remember Electron? That came from Atom!) be put to bed.

## The Community is Awesome. ##

But the open-source community has a habit of not letting go, and for better or worse, a lot of times will put great effort into preserving old experiences. This is one of those such instances, and now we have [Pulsar](https;//pulsar.dev)! This is a fork on Atom that seems to have some steam behind it, not only re-branding it and keeping up the extensions installer, but also actively working on bug fixes and making it better!

It's pretty much a drop-in replacement for Atom, even down to the extensions and settings that you once used. Things can get a little hairy at times but we'll get to that in a bit.

## It's going to take some time... ##

Now like I alluded to a moment ago, it's a little rough around the edges right now. Just to name a few things:

* Automatic updates aren't a thing yet, so you need to check back for new releases - about once per month for the stable releases.
* Installing it on Linux is kinda lame since you just get a raw DEB or RPM file to install manually instead of using a repo or something like Flatpak.
* The Atom codebase had been left to rot for a bit, so there is a lot of API changes and supporting software upgrades to churn through.

## The Community is Awesome. ##

You see, the beauty of open-source software isn't necessarily that it's going to be developed better by having more eyeballs on it, nor that you can see exactly what a piece of software is doing. Those can definitely be good things, don't get me wrong, but where open-source really shines is when a company or some organization have had enough of developing a piece of software - I want to be clear I see no wrongdoing in this, sometimes good things just don't make sense - and instead of it just being left to rot, someone in the community can step up and take over. That really is an amazing thing.

## Signing off ##

There's not really much at this point, other than if you haven't yet I'd highly recommend you give Pulsar a try. Like I said it's still wonky in some spots - one thing in particular that I'm noticing as I write this is there's a permanent deprecation warning for an extension since an API changed it needs patched - but for the most part it kinda just works. I would honestly love to see this thing come to fruition with a full-blown community that's actively developing extensions and contributing code to kinda recreate what we once had, and give us a proper text editor that's competitive with VS Code like Atom was.

And yes I know [Zed](https://zed.dev) is a thing from the original Atom devs, but it seems to be moving really slow and is currently only available on Mac, so I can't really use it or recommend it at this time.
